#################################################################################
# (C) Copyright 2007-2014, Hewlett-Packard Development Company, L.P.
# Version A.12.00.00
# Script that starts/stops an application server for SG/LX. 
# (As know as Toolkit Interface Script.)
#
# This script has one parameter passed to it, which then will be passed to the HA
# server main script:
# - start - to indicate the package is starting up
# - stop  - to indicate the package is shutting down
#
# This script eixt on one of the following code:
#  0: on success
#  1: on fail
################################################################################ 


HA_SERVER=NFS
HA_SCRIPT=${0%/*}/hanfs.sh
ACT=$1


# Function to test the return code
function test_return
{
    if (( $? != 0 ))
    then
        echo "ERROR: $(date '+%b %e %T') - Failed to $ACT $HA_SERVER."
        exit 1
    fi
}


# Function to log a warning message
function log_info
{
    if [[ "$ACT" = "start" ]]
    then
        echo -e "WARNING: NFS toolkit - The toolkit script \"$HA_SCRIPT\" does not exist"
        echo -e "\t or is not executable."
    else
        echo -e "WARNING: NFS toolkit - The toolkit script \"$HA_SCRIPT\" does not exist or"
        echo -e "\t is not executable."
    fi
}


# Invoke the application toolkit

if [ -x $HA_SCRIPT ]; then
    . $HA_SCRIPT $ACT
    test_return
else
    log_info
fi

exit 0;
